
TYPO3.Flow - Bug # 32552

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: Package
Created: 2011-12-14 Assigned To: Robert Lemke
Updated: 2011-12-19 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: PackageStates are saved on each request
Description

\TYPO3\FLOW3\Package\PackageManager::initialize() always invokes loadPackageStates() which contains the lines

if ($this->packageStatesConfiguration === array() && $this->bootstrap->getContext() !== 'Production') {
    $this->scanAvailablePackages();
    [...]

scanAvailablePackages() in turn calls savePackageStates() which deletes all shortcut paths and recreates them.

If I get it right this means, that all shortcut paths are recreated for each request. Is this intended?

Related issues:
related to TYPO3.Flow - Feature # 32333: Modular and configurable bootstrap Resolved 2011-12-06

Associated revisions
Revision 8634aaec - 2011-12-19 17:21 - Christopher Hlubek

[BUGFIX] Update package states only when needed

While scanning of available packages will still happen on every request
in non-production contexts, the package state will only be saved if
there has actually been a change.

Change-Id: If18f9c7edebd8206348bf848059b7c37075866c4
Releases: 1.1
Resolves: #32552

History
#1 - 2011-12-15 10:25 - Christopher Hlubek
- Priority changed from Should have to Must have

I think this is a blocker for development, I always get permission problems when Shortcuts are removed etc.

I think there is a bug with the empty package state configuration triggering the reload /save on every request. We only need to scan packages on the
first hit and then only if package relate actions are called (like activate / list etc.).
#2 - 2011-12-15 10:31 - Karsten Dambekalns
- Status changed from New to Accepted

#3 - 2011-12-15 10:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7268

#4 - 2011-12-15 11:02 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7268

#5 - 2011-12-15 15:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7268

#6 - 2011-12-16 10:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7268

#7 - 2011-12-19 13:22 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7268

#8 - 2011-12-19 16:53 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7268

#9 - 2011-12-19 17:21 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7268

#10 - 2011-12-19 23:07 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8634aaec568b3e4f58d24b5c2f7137260b9e682f.
